app/banks/urls.py
from django.urls import path

from banks.views import BankList, BankCreate

app_name = 'bnk'

urlpatterns = [
    path('list/', BankList.as_view(), name='list'),
    path('create/', BankCreate.as_view(), name='create'),
]

app/clients/urls.py
from django.urls import path

from clients.views import ClientList, ClientCreate, ClientDetail, ClientUpdate, ClientDelete

app_name = 'cli'

urlpatterns = [
    path('list/', ClientList.as_view(), name='list'),
    path('create/', ClientCreate.as_view(), name='create'),
    path('detail/<int:pk>', ClientDetail.as_view(), name='detail'),
    path('update/<int:pk>', ClientUpdate.as_view(), name='update'),
    path('delete/<int:pk>', ClientDelete.as_view(), name='delete'),

]

app/credits/urls.py
from django.urls import path

from credits.views import CreditList, CreditCreate

app_name = 'cre'

urlpatterns = [
    path('list/', CreditList.as_view(), name='list'),
    path('create/', CreditCreate.as_view(), name='create'),
]

app/home/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.home, name='home'),
]

app/tu_credito/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
    path('banks/', include('banks.urls')),
    path('clients/', include('clients.urls')),
    path('credits/', include('credits.urls')),
]

app/banks/models.py
from django.db import models

# Create your models here.
from django.urls import reverse


class Bank(models.Model):
    """
    Bank Model
    """
    class BankType(models.TextChoices):
        """
        Choices for bank_type field
        """
        GOB = "GOB", "GOBIERNO"
        PRI = "PRI", "PRIVADO"

    name = models.CharField(
        null=False, blank=False,
        max_length=255,
        verbose_name="Nombre",
        help_text="Nombre del banco"
    )
    bank_type = models.CharField(
        null=False, blank=False,
        max_length=3,
        choices=BankType.choices,
        default=BankType.PRI,
        verbose_name="Tipo",
        help_text="Tipo de banco"
    )
    address = models.TextField(
        null=True, blank=True,
        verbose_name="Dirección",
        help_text="Dirección del banco"
    )

    class Meta:
        ordering = ['id']

    def get_bank_type_value(self):
        return self.BankType(self.bank_type).label

    def __str__(self):
        return self.name

    def get_absolute_url(self):
        return reverse('bnk:list')

app/banks/views.py

from django.contrib.messages.views import SuccessMessageMixin
from django.urls import reverse
from django.views.generic import ListView
from django.views.generic.edit import CreateView

from banks.models import Bank


# Create your views here.

class BankList(ListView):
    """
    View for list Banks
    """
    model = Bank
    template_name = 'banks/list.html'


class BankCreate(SuccessMessageMixin, CreateView):
    """
    View for create Banks
    """
    model = Bank
    form = Bank
    fields = "__all__"
    template_name = 'banks/create.html'
    success_message = 'Banco creado exitosamente!!!'

    # Redirection after save
    def get_success_url(self):
        return reverse('bnk:list')

app/banks/templates/banks/create.html
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load widget_tweaks %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'bnk:list' %}">Bancos <span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cli:list' %}">Clientes</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cre:list' %}">Créditos</a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <!-- Form create bank -->
        <div class="container mt-5">
            <form method="post" enctype="multipart/form-data" class="border rounded p-3">
                {% csrf_token %}
                <div class="row">
                    <!-- Field name -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Nombre:</label>
                            {{ form.name|add_class:"form-control" |add_required_class:"is-required" }}
                        </div>
                    </div>
                    <!-- Field bank type -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Tipo:</label>
                            {{ form.bank_type|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field address -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Dirección:</label>
                            {{ form.address|add_class:"form-control" |attr:"rows:3" }}
                        </div>
                    </div>
                </div>
                <!-- Save button -->
                <button type="submit" class="btn btn-success">Aceptar</button>
                <!-- Cancel button -->
                <a href="{% url 'bnk:list' %}"  type="submit" class="btn btn-danger">Cancelar</a>
            </form>
        </div>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>

app/banks/templates/banks/list.html
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'bnk:list' %}">Bancos <span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cli:list' %}">Clientes</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cre:list' %}">Créditos</a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <div class="container mt-3">
            <div class="row">
                <!-- Messages -->
                <div class="col-lg-4">
                    {% if messages %}
                        <ul class="messages list-group mb-3">
                            {% for message in messages %}
                                <li {% if message.tags %} class="{{ message.tags }} list-group-item list-group-item-success text-center" {% endif %}>
                                    {{ message }}
                                </li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                </div>
                <!-- Create button -->
                <div class="col-lg-8">
                    <div class="btn_crear">
                        <a href="{% url 'bnk:create' %}" type="button" class="btn btn-primary float-right mb-3">Crear</a>
                    </div>
                </div>
            </div>
            <!-- List of Banks -->
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Nombre</th>
                        <th>Tipo</th>
                        <th>Dirección</th>
                    </tr>
                </thead>
                <tbody>
                    {% for bank in object_list %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ bank.name }}</td>
                        <td>{{ bank.get_bank_type_value }}</td>
                        <td>{{ bank.address }}</td>
                    </tr>
                  {% endfor %}
                  </tbody>
            </table>
        </div>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>